JUCE: BlockGraph Class Reference

JUCE

Public Types | Public Member Functions | List of all members
BlockGraph Class Reference

Represents traversal paths from master blocks and any connected blocks. More...

## Public Types
using | BlockTraversalPaths = Array< Block::Array, CriticalSection >

## Public Member Functions
| BlockGraph (const BlockTopology topology, std::function< bool(Block::Ptr block)> filter=nullptr)
| Creates a BlockGraph object from a BlockTopology with an optional filter fucntion. More...
| BlockGraph (BlockGraph &&)
BlockTraversalPaths | getTraversalPaths () const
| Get traversal paths for each master block in a topology. More...
Block::Array | getTraversalPathFromMaster (Block::Ptr masterBlock) const
| Get traversal path for a specific master block in a topology. More...
String | asString () const
| Gets a string representation of all traversal paths. More...

## Detailed Description

Represents traversal paths from master blocks and any connected blocks.

## Member Typedef Documentation

## ◆ BlockTraversalPaths

using BlockGraph::BlockTraversalPaths = Array<Block::Array, CriticalSection>

## Constructor & Destructor Documentation

## ◆ BlockGraph() [1/2]

BlockGraph::BlockGraph | ( | const BlockTopology | topology,
|  | std::function< bool(Block::Ptr block)> | filter = `nullptr`
| ) |  |

Creates a BlockGraph object from a BlockTopology with an optional filter fucntion.

This will build a block graph of traversal paths for each master.

## ◆ BlockGraph() [2/2]

BlockGraph::BlockGraph | ( | BlockGraph && |  | ) |

## Member Function Documentation

## ◆ getTraversalPaths()

BlockTraversalPaths BlockGraph::getTraversalPaths | ( |  | ) | const

Get traversal paths for each master block in a topology.

## ◆ getTraversalPathFromMaster()

Block::Array BlockGraph::getTraversalPathFromMaster | ( | Block::Ptr | masterBlock | ) | const

Get traversal path for a specific master block in a topology.

## ◆ asString()

String BlockGraph::asString | ( |  | ) | const

Gets a string representation of all traversal paths.

The documentation for this class was generated from the following file:

- juce_BlockGraph.h